# Interface methods for submodule: PhasedArray3DSpecialCoordinatesImage
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageBaseProxy as _ImageBaseProxy


# Interface methods for class: PhasedArray3DSpecialCoordinatesImage
class PhasedArray3DSpecialCoordinatesImageProxy(_ImageBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Allocate(self, initialize: bool = False) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value: float) -> None:
		""""""
		...

	@overload
	def FillBuffer(self, value: int) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value: float) -> None:
		""""""
		...

	@overload
	def SetPixel(self, index: Sequence[int], value: int) -> None:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]):
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]) -> float:
		""""""
		...

	@overload
	def GetPixel(self, index: Sequence[int]) -> int:
		""""""
		...

	def GetBufferPointer(self):
		""""""
		...

	def GetPixelContainer(self):
		""""""
		...

	def SetPixelContainer(self, container) -> None:
		""""""
		...

	def GetPixelAccessor(self):
		""""""
		...

	@overload
	def SetSpacing(self, arg0: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetSpacing(self, arg0) -> None:
		""""""
		...

	@overload
	def SetOrigin(self, arg0: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOrigin(self, arg0) -> None:
		""""""
		...

	def SetAzimuthAngularSeparation(self, _arg: float) -> None:
		""""""
		...

	def SetElevationAngularSeparation(self, _arg: float) -> None:
		""""""
		...

	def SetRadiusSampleSize(self, _arg: float) -> None:
		""""""
		...

	def SetFirstSampleDistance(self, _arg: float) -> None:
		""""""
		...

	def GetNeighborhoodAccessor(self):
		""""""
		...

